<?php

namespace Reinos\Mollie\Core\Action;

/**
 * @author        Rein de Vries <support@reinos.nl>
 * @link        http://addons.reinos.nl
 * @copyright    Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * @license     http://addons.reinos.nl/commercial-license
 *
 * Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Rein de Vries and
 * Reinos.nl Internet Media) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */
class Webhook extends AbstractAction
{

    public function execute()
    {

        if (isset($_POST['id'])) {
            //Init Mollie
            ee(REINOS_MOLLIE_SERVICE_NAME . ':Payment')->init();

            //get the order
            $payment = ee(REINOS_MOLLIE_SERVICE_NAME . ':Payment')->getMolliePayment(ee()->input->post("id"));
            $orderId = $payment->metadata->order_id;

            $order = ee('Model')->get(REINOS_MOLLIE_MAP . ':Order')->filter('order_id', $orderId);

            if ($order->count() > 0) {
                $order = $order->first();

                //set the status
                ee(REINOS_MOLLIE_SERVICE_NAME . ':Payment')->checkStatus($order->transaction_id);
            }
        }
    }
}
