<?php

namespace Reinos\Mollie\Core\Tag;

/**
 * @author        Rein de Vries <support@reinos.nl>
 * @link        http://addons.reinos.nl
 * @copyright    Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * @license     http://addons.reinos.nl/commercial-license
 *
 * Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Rein de Vries and
 * Reinos.nl Internet Media) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */
class Cart extends AbstractTag
{
    public function parse()
    {
        //define
        $return = '';

        //fetch the prefix if needed
        $prefix = ee()->TMPL->fetch_param('prefix', 'items:');
        $can_update = ee(REINOS_MOLLIE_SERVICE_NAME . ':Helper')->check_yes(ee()->TMPL->fetch_param('can_update',
            'items:'));

        //get the current items from the collection
        $items = ee(REINOS_MOLLIE_SERVICE_NAME . ':Cart')->getItems($prefix, true);

        //do we have any result?
        if (empty($items[$prefix . 'items'])) {
            $items[$prefix . 'no_items'] = true;
        } else {
            $items[$prefix . 'no_items'] = false;
        }

        // start our form output
        if ($can_update) {
            $return .= ee(REINOS_MOLLIE_SERVICE_NAME . ':Helper')->form_open(array(
                'hidden_fields' => array(
                    'return_url' => ee()->functions->create_url(ee()->TMPL->fetch_param('return_url',
                        ee()->uri->uri_string)),
                    'current_url' => ee()->functions->create_url(ee()->TMPL->fetch_param('current_url',
                        ee()->uri->uri_string)),
                ),
                'action' => ee(REINOS_MOLLIE_SERVICE_NAME . ':Settings')->act_url . '&method=update_items',
                'id' => ee()->TMPL->fetch_param('form_id', 'reinos_mollie-update_items'),
                'class' => ee()->TMPL->fetch_param('form_class', '')
            ));
        }

        //parse the data
        $return .= ee()->TMPL->parse_variables(ee()->TMPL->tagdata, array($items));

        if ($can_update) {
            $return .= "</form>";
        }

        return $return;
    }
}
