<?php

/**
 * @author        Rein de Vries <support@reinos.nl>
 * @link        http://addons.reinos.nl
 * @copyright    Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * @license     http://addons.reinos.nl/commercial-license
 *
 * Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Rein de Vries and
 * Reinos.nl Internet Media) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */

namespace Reinos\Mollie\Service;

require_once PATH_THIRD . 'reinos_mollie/config.php';

class Email
{

    public function sendEmail($order)
    {
        $order_data = $order->toArray();

        //fix float values
        foreach ($order_data as $key => $val) {
            $order_data[$key] = ee(REINOS_MOLLIE_SERVICE_NAME . ':Currency')->needFloatConverting($key, $val, true);
        }

        //set the email data
        $email_data = array(
            'from' => ee(REINOS_MOLLIE_SERVICE_NAME . ':Settings')->item('email_from'),
            'from_name' => ee(REINOS_MOLLIE_SERVICE_NAME . ':Settings')->item('email_from_name'),
            'bcc' => ee(REINOS_MOLLIE_SERVICE_NAME . ':Settings')->item('email_bcc'),
            'to' => $order->customer_email,
            'invoice_url' => reduce_double_slashes($order->return_url . '/' . $order->hash),
            'title' => 'Order Confirmation',
        );

        //send the mail
        ee(REINOS_MOLLIE_SERVICE_NAME . ':Helper')->send_email(
            REINOS_MOLLIE_MAP . '_order_confirmation',
            array_merge(
                $order_data,
                $email_data
            ),
            ee(REINOS_MOLLIE_SERVICE_NAME . ':Settings')->item('email_type')
        );
    }
}
