<?php

/**
 * @author        Rein de Vries <support@reinos.nl>
 * @link        http://addons.reinos.nl
 * @copyright    Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * @license     http://addons.reinos.nl/commercial-license
 *
 * Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Rein de Vries and
 * Reinos.nl Internet Media) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */

namespace Reinos\Mollie\Service;

require_once PATH_THIRD . 'reinos_mollie/config.php';

class Paging
{
    public $pagination;

    /**
     * Log constructor.
     */
    public function __construct()
    {
    }

    // --------------------------------------------------------------------

    /**
     * @param $tagdata
     * @return bool
     * @internal param $field_id
     * @internal param $entry_id
     * @internal param $location
     */
    public function init($tagdata)
    {
        ee()->load->library('pagination');
        $this->pagination = ee()->pagination->create();
        return $this->pagination->prepare($tagdata);
    }

    //--------------------------------------------------------------------------------

    /**
     * Build the paging
     *
     * @param $total_items
     * @param $per_page
     * @return bool
     * @internal param $limit
     * @internal param $field_id
     * @internal param $entry_id
     * @internal param $location
     */
    public function build($total_items, $per_page)
    {
        if ($this->pagination->paginate === true) {
            $this->pagination->build($total_items, $per_page);
        }
    }

    //--------------------------------------------------------------------------------

    public function render($return_data)
    {
        return $this->pagination->render($return_data);
    }

}
