<?php

/**
 * @author        Rein de Vries <support@reinos.nl>
 * @link        http://ee.reinos.nl
 * @copyright    Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * @license     http://ee.reinos.nl/commercial-license
 *
 * Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Rein de Vries and
 * Reinos.nl Internet Media) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */

namespace Reinos\Mollie\Service;

require_once PATH_THIRD . 'reinos_mollie/config.php';

class SettingsHelper
{

    /**
     * Get all membergroups
     *
     * @access public
     */
    public function get_membergroups()
    {
        $return = array();
        if(ee(REINOS_MOLLIE_SERVICE_NAME.':Version')->isGteEE6()) {
            $roles = ee('Model')
                ->get('Role')
                ->filter('role_id', '!=', 2)
                ->filter('role_id', '!=', 3)
                ->filter('role_id', '!=', 4);
            foreach($roles->all() as $role)
            {
                $return[$role->role_id] = $role->name;
            }
        } else {
            $groups = ee('Model')
                ->get('MemberGroup')
                ->filter('group_id', '!=', 2)
                ->filter('group_id', '!=', 3)
                ->filter('group_id', '!=', 4);
            foreach($groups->all() as $group)
            {
                $return[$group->group_id] = $group->group_title;
            }
        }

        return $return;
    }

    // ----------------------------------------------------------------------

}
