<?php

/**
 * @author        Rein de Vries <support@reinos.nl>
 * @link        http://addons.reinos.nl
 * @copyright    Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * @license     http://addons.reinos.nl/commercial-license
 *
 * Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Rein de Vries and
 * Reinos.nl Internet Media) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */

use Reinos\Mollie\Service\Curl;
use Reinos\Mollie\Service\Installer;
use Reinos\Mollie\Service\License;
use Reinos\Mollie\Service\Log;
use Reinos\Mollie\Service\Helper;
use Reinos\Mollie\Service\Settings;
use Reinos\Mollie\Service\SettingsHelper;
use Reinos\Mollie\Service\Version;
use Reinos\Mollie\Service\Cart;
use Reinos\Mollie\Service\Country;
use Reinos\Mollie\Service\Checkout;
use Reinos\Mollie\Service\Payment;
use Reinos\Mollie\Service\Currency;
use Reinos\Mollie\Service\Email;

require_once(PATH_THIRD . 'reinos_mollie/config.php');

return [
    'author' => REINOS_MOLLIE_AUTHOR,
    'author_url' => REINOS_MOLLIE_AUTHOR_URL,
    'name' => REINOS_MOLLIE_TITLE,
    'description' => REINOS_MOLLIE_DESCRIPTION,
    'version' => REINOS_MOLLIE_VERSION,
    'docs_url' => REINOS_MOLLIE_DOCS,
    'settings_exist' => true,
    'namespace' => 'Reinos\Mollie',
    'services.singletons' => [
//        'Paging' => function($ee) {
//            return new Paging();
//        },
        'Installer' => function ($ee) {
            return new Installer;
        },
        'Settings' => function ($ee) {
            return new Settings;
        },
        'Payment' => function ($ee) {
            return new Payment;
        },
    ],
    'services' => [
        'Email' => function ($ee) {
            return new Email;
        },
        'Currency' => function ($ee) {
            return new Currency;
        },
        'Checkout' => function ($ee) {
            return new Checkout;
        },
        'Country' => function ($ee) {
            return new Country;
        },
        'Cart' => function ($ee) {
            return new Cart;
        },
        'Version' => function ($ee) {
            return new Version;
        },
        'Curl' => function ($ee) {
            return new Curl;
        },
        'SettingsHelper' => function ($ee) {
            return new SettingsHelper;
        },
        'License' => function ($ee) {
            return new License;
        },
        'Helper' => function ($ee) {
            return new Helper;
        },
        'Log' => function ($ee) {
            return new Log;
        },
    ],
    'models' => [
        'Log' => 'Model\Log',
        'Settings' => 'Model\Settings',
        'Order' => 'Model\Order',
    ],
//    'models.dependencies' => array(
//        'Submission'   => array(
//            'ee:Member'
//        )
//    )
];
