<?php

/**
 * @author        Rein de Vries <support@reinos.nl>
 * @link        http://addons.reinos.nl
 * @copyright    Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * @license     http://addons.reinos.nl/commercial-license
 *
 * Copyright (c) 2011 - 2021 Reinos.nl Internet Media
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Rein de Vries and
 * Reinos.nl Internet Media) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */

//updates
$this->updates = array(
    '1.2.0',
    '2.0.0',
);

//Default Post
$this->default_post = array(
    'license_key' => '',
    'license_reinos_member_id' => '',
    'license_valid' => false,
    'license_report_date' => time(),
    'log_severity' => 'errors',

    'email_from' => '',
    'email_from_name' => '',
    'email_bcc' => '',
    'email_type' => 'text',

    'default_country' => '',
    'allowed_countries' => '',
    'default_shipping' => 0,
    'tax_high' => 0,
    'tax_low' => 0,
    'tax_shipping' => 0,
    'tax_type' => 'excl',
    'tax_default_type' => 'high',
    'currency_symbol' => '$',
    'frontend_order_url' => '/mollie_store/order/',

    'dec_point' => ',',
    'thousands_sep' => '.',

    'mollie_test_key' => '',
    'mollie_live_key' => '',
    'mollie_mode' => 'none',
);

//overrides
$this->overide_settings = array(
    //'gmaps_icon_dir' => '[theme_dir]images/icons/',
    //'gmaps_icon_url' => '[theme_url]images/icons/',
);

// Backwards-compatibility with pre-2.6 Localize class
$this->format_date_fn = (version_compare(APP_VER, '2.6', '>=')) ? 'format_date' : 'decode_date';

//show the field in wide or default
$this->field_wide = true;

//based on https://docs.expressionengine.com/latest/development/shared_form_view.html
$this->fieldtype_settings = array(
//    array(
//        'label' => lang('display_height'),
//        'desc' => 'Height in px of the field',
//        'name' => 'display_height',
//        'type' => 'text', //
//        'def_value' => '200',
//        'global' => false,
////        'choices' => 'SettingsHelper:get_membergroups', //as a method of a service class
////        'content' => 'SettingsHelper:get_membergroups', //as a method of a service class
//    ),

);

$this->mysql_table_data = array(
    'settings' => array(
        'keys' => array(
            array('settings_id', true), //primary
            //array('field_name'),
        ),
        'fields' => array(
            'settings_id' => array(
                'type' => 'int',
                'constraint' => 7,
                'unsigned' => true,
                'null' => false,
                'auto_increment' => true
            ),
            'site_id' => array(
                'type' => 'int',
                'constraint' => 7,
                'unsigned' => true,
                'null' => false,
                'default' => 0
            ),
            'var' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'value' => array(
                'type' => 'text'
            ),
        )
    ),
    'logs' => array(
        'keys' => array(
            array('log_id', true), //primary
            //array('field_name'),
        ),
        'fields' => array(
            'log_id' => array(
                'type' => 'int',
                'constraint' => 7,
                'unsigned' => true,
                'null' => false,
                'auto_increment' => true
            ),
            'site_id' => array(
                'type' => 'int',
                'constraint' => 7,
                'unsigned' => true,
                'null' => false,
                'default' => 0
            ),
            'severity' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => 'notice'
            ),
            'time' => array(
                'type' => 'int',
                'constraint' => 10,
                'unsigned' => true,
                'null' => false,
                'default' => 0
            ),
            'message' => array(
                'type' => 'text'
            ),
        )
    ),
    'orders' => array(
        'keys' => array(
            array('order_id', true), //primary
            array('hash'),
        ),
        'fields' => array(
            'order_id' => array(
                'type' => 'int',
                'constraint' => 7,
                'unsigned' => true,
                'null' => false,
                'auto_increment' => true
            ),
            'hash' => array(
                'type' => 'varchar',
                'constraint' => '100',
                'null' => false,
                'default' => ''
            ),
            'site_id' => array(
                'type' => 'int',
                'constraint' => 7,
                'unsigned' => true,
                'null' => false,
                'default' => 0
            ),

            'billing_address' => array(
                'type' => 'varchar',
                'constraint' => '255',
                'null' => false,
                'default' => ''
            ),
            'billing_address2' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'billing_city' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'billing_country' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'billing_zip' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),


            'shipping_address' => array(
                'type' => 'varchar',
                'constraint' => '255',
                'null' => false,
                'default' => ''
            ),
            'shipping_address2' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'shipping_city' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'shipping_country' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'shipping_zip' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),

            'customer_first_name' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'customer_last_name' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'customer_company' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'customer_email' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'customer_phone' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),

            'shipping' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'shipping_plus_tax' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'subtotal' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'subtotal_plus_tax' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'tax' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'total' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'total_plus_tax' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'transaction_id' => array(
                'type' => 'varchar',
                'constraint' => '200',
                'null' => false,
                'default' => ''
            ),
            'payment_url' => array(
                'type' => 'varchar',
                'constraint' => '255',
                'null' => false,
                'default' => ''
            ),
            'return_url' => array(
                'type' => 'varchar',
                'constraint' => '255',
                'null' => false,
                'default' => ''
            ),
            'checkout_url' => array(
                'type' => 'varchar',
                'constraint' => '255',
                'null' => false,
                'default' => ''
            ),
            'status' => array(
                'type' => 'varchar',
                'constraint' => '30',
                'null' => false,
                'default' => ''
            ),
            'items' => array(
                'type' => 'text'
            ),
            'time' => array(
                'type' => 'varchar',
                'constraint' => '100',
                'null' => false,
                'default' => ''
            ),
            'fields' => array(
                'type' => 'text'
            ),
        )
    ),
);
